# $Revision: 1.74 $, $Date: 2007/01/31 11:51:20 $
# TODO:
# - move whole amavis-related stuff to it's own spec. trigger is needed...
#
Summary:	A utility for removing files based on when they were last accessed
Summary(de):	Utility zum Entfernen von Dateien, basierend auf ihrer Zugriffszeit
Summary(es):	Limpia archivos en directorios basado en sus edades
Summary(fr):	Nettoie les fichiers dans les rpertoires en fonction de leur age
Summary(pl):	Narzdzie kasujce pliki w oparciu o czas ostatniego dostpu
Summary(pt_BR):	Limpa arquivos em diretrios baseado em suas idades
Summary(ru):	       
Summary(uk):	̦  ̦  Ҧ Ԧ  
Name:		tmpwatch
Version:	2.9.10
Release:	1
License:	GPL
Group:		Applications/System
# New versions are taken from:
# ftp://download.fedora.redhat.com/pub/fedora/linux/core/development/source/SRPMS/
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	4fdcefdb36bc6c8ef5fea26eb4f1a2e3
Source1:	%{name}.sysconfig
Source2:	%{name}.cron
Source3:	%{name}.conf
Patch0:		%{name}-ac_am.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The tmpwatch utility recursively searches through specified
directories and removes files which have not been accessed in a
specified period of time. tmpwatch is normally used to clean up
directories which are used for temporarily holding files (for example,
/tmp). tmpwatch ignores symlinks, won't switch filesystems and only
removes empty directories and regular files.

%description -l de
Das tmpwatch-Utility sucht rekursiv durch angegebene Verzeichnisse und
entfernt Dateien, die in einer angegebenen Zeitspanne nicht benutzt
wurden. Tmpwatch wird normalerweise benutzt, um Verzeichnisse
aufzurumen, in denen temporre Dateien gelagert werden (z.B. /tmp).
Tmpwatch ignoriert symlinks, wechselt kein Filesystem und entfernt nur
normale Dateien und leere Verzeichnisse.

%description -l es
Este paquete nos ofrece un programa que puede ser usado para limpiar
directorios. Peridicamente remueve el directorio (ignorando symlinks)
y elimina archivos que no fueron accedidos en un tiempo especificado
por el usuario.

%description -l fr
Ce paquetage offre un programme permettant de nettoyer les
rpertoires. Il recherche rcursivement dans le rpertoire (en
ignorant les liens symboliques) et supprime les fichiers qui n'ont pas
t accds depuis une priode donne.

%description -l pl
tmpwatch rekursywnie przeszukuje wyspecyfikowane katalogi szukajc
plikw, ktre nie byy uywane przez okrelony okres czasu, w celu ich
usunicia. Jest on zazwyczaj uywany do czyszczenia katalogw w
ktrych przechowywane s pliki tymczasowe (na przykad /tmp). tmpwatch
ignoruje symlinki, nie zmienia systemu plikw podczas przeszukiwania
katalogw, usuwa tylko puste katalogi i zwyczajne pliki.

%description -l pt_BR
Este pacote oferece um programa que pode ser usado para limpar
diretrios. Ele periodicamente vasculha o diretrio (ignorando
symlinks) e remove arquivos que no foram acessados em um tempo
especificado pelo usurio.

%description -l tr
Bu paket, dizinleri temizleyen bir program ierir. Simgesel balar
gznne almadan dizinleri rekrsif olarak arar ve kullancnn
nceden belirledii bir srede eriilmemi olanlar siler.

%description -l ru
 tmpwatch      , 
     .   
 ,    (, /tmp). 
  ,       
      ( ) .

%description -l uk
̦ tmpwatch  Ѥ    , 
     .  դ 
 Ǧ,  Ҧ צ  (, /tmp). 
̦ դ ̦,    ۦ צ  
Ѥ Ԧ Φ   Φ ( æΦ) .

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	CFLAGS="%{rpmcflags} -D_FILE_OFFSET_BITS=64"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{cron.daily,sysconfig,%{name}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cat > $RPM_BUILD_ROOT/etc/cron.daily/%{name} <<'EOF'
#!/bin/sh
# Some defaults:
AMAVIS_QUARANTINE="1440"
OPTIONS="-fq"
if [ -f /etc/sysconfig/tmpwatch ]; then
	. /etc/sysconfig/tmpwatch
fi

%{_sbindir}/tmpwatch ${OPTIONS} -x /tmp/.X11-unix -x /tmp/.XIM-unix -x /tmp/.font-unix \
-x /tmp/.ICE-unix -x /tmp/.Test-unix 240 /tmp

# Cleanup amavis quarantine:
if [ -d /var/spool/amavis/virusmails ]; then
	if [ ${AMAVIS_QUARANTINE} -ne 0 ]; then
		%{_sbindir}/tmpwatch ${OPTIONS} ${AMAVIS_QUARANTINE} /var/spool/amavis/virusmails
	fi
fi
EOF

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_sbindir}/%{name}.cron
install %{SOURCE3} $RPM_BUILD_ROOT/etc/tmpwatch/common.conf

ln -s %{_sbindir}/%{name}.cron $RPM_BUILD_ROOT/etc/cron.daily/%{name}.directories

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 2.9.1-4
if [ -f /usr/sbin/amavisd ]; then
	echo "WARNING!! Take a look at /etc/sysconfig/%{name}"
	echo "That version has enabled amavis-spool cleaning"
fi

%files
%defattr(644,root,root,755)
%dir /etc/tmpwatch
%attr(750,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.daily/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/tmpwatch/*.conf
%attr(755,root,root) %{_sbindir}/%{name}*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tmpwatch.spec,v $
Revision 1.74  2007/01/31 11:51:20  blues
- temporary url removed

Revision 1.73  2007/01/31 11:49:58  blues
- 2.9.10 - taken from FC

Revision 1.72  2006/11/28 16:27:31  blues
- rel.2 - add possibility to make per-target options on tmpwatch framework

Revision 1.71  2006/03/22 23:11:50  blues
- moved manual-related things to man.spec

Revision 1.70  2006/03/22 22:57:23  blues
- added /etc/tmpwatch support

Revision 1.69  2006/02/25 09:28:16  arekm
- up to 2.9.6

Revision 1.68  2005/12/13 15:35:56  glen
- adapterized (sorted %verify attrs)

Revision 1.67  2005/07/29 18:26:35  arekm
- up to 2.9.4

Revision 1.66  2005/04/20 11:33:40  glen
- adjust /var/cache/man tmpwatch not to
 a) result errors in cron mails,
 b) tmpwatch dirs twice,
 if no locale dirs are present

Revision 1.65  2005/04/11 13:54:41  arekm
- up to 2.9.2

Revision 1.64  2005/03/21 18:15:16  mmazur
- rel 6 for th

Revision 1.63  2005/01/13 06:20:12  blues
- release 5 - fixed variable passing to cron scripts. STBR

Revision 1.62  2005/01/04 18:24:40  glen
- rel 4
- STBR

Revision 1.61  2004/12/05 00:24:53  glen
- add fix to be able to handle large files (shouldn't this be in libc-headers instead?)

Revision 1.60  2004/11/12 11:20:14  adgor
a- Fixed attr for syscfg file

Revision 1.59  2004/11/02 08:59:18  ankry
- chech whether man is installed

Revision 1.58  2004/11/01 20:19:40  blues
- show banner only when amavisd is installed

Revision 1.57  2004/11/01 20:01:29  blues
- trigger with banner

Revision 1.56  2004/11/01 19:32:43  blues
- make cleaning of amavis quarantine more configurable

Revision 1.55  2004/11/01 18:45:40  blues
- reverted - don't change when we are talking about that.

Revision 1.54  2004/11/01 12:55:21  gotar
- removed bogus _quarantine_ purging

Revision 1.53  2004/10/31 14:00:40  blues
- release 2 for AC

Revision 1.52  2004/10/31 13:04:11  blues
- release 1 - works well now

Revision 1.51  2004/10/31 12:25:12  blues
- 2.9.1 - started update, NFY, some new features taken from Fedora

Revision 1.50  2004/10/30 10:50:39  wolf
- rel 9
- expanded pl description
- default config is not a place for your config, blues

Revision 1.49  2004/10/27 11:08:38  blues
- cleanup /var/run/php also...

Revision 1.48  2004/10/26 13:45:11  blues
- URL, TODO, STBR

Revision 1.47  2004/10/12 20:38:51  mmazur
- rel 8 for th

Revision 1.46  2004/10/04 07:17:34  blues
- release 7 - cleanup amavis quarantine too. Too much space to waste...

Revision 1.45  2004/09/25 11:20:55  radek
- cosmetics (spaces -> tabs)

Revision 1.44  2003/08/30 18:10:46  mmazur
- rel 6 for ac

Revision 1.43  2003/05/25 11:01:03  malekith
- massive attack, adding Source-md5

Revision 1.42  2003/05/25 06:27:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2002/12/25 00:35:04  adgor
- Moved %{__libtoolize} on top (libtool must generate ltmain.sh before
  automake starts)

Revision 1.40  2002/10/14 14:52:45  kloczek
- updated to 2.8.4 and merged translations from Conectiva.

Revision 1.39  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.38  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.37  2002/05/21 23:14:49  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.36  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.35  2002/03/12 14:19:20  kloczek
- bump release to 2 and merge translations ftom KSI.

Revision 1.34  2002/03/11 15:31:46  misiek
- SECURITY FIX: UPDATE IMMEDIATELY! (2 years old bug in PLD; yeah, great - fount by cliph)

Revision 1.33  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/18 02:15:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/03/22 03:43:26  kloczek
- release 3: remove files also from /var/tmp.

Revision 1.30  2000/12/07 00:01:39  kloczek
- updated to 2.6.1,
- added ac_am patch with complet autoconf/automake/libtool suit for
  building tmpwatch.

Revision 1.29  2000/09/09 22:36:07  kloczek
- spec adapterized.

Revision 1.28  2000/09/09 20:58:51  kravietz
- release++

Revision 1.27  2000/09/09 20:58:38  kravietz
- added DOS fix in tmpwatch-dos.patch

Revision 1.26  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.25  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.24  2000/05/03 18:55:45  kloczek
- release 2,
- watch on all cat? directories also non english man pages.

Revision 1.23  2000/05/02 21:23:28  baggins
- fixed version, minor cleanup

Revision 1.22  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.20  2000/02/09 23:53:50  kloczek
- updated ro 2.1,
- spec adapterized.

Revision 1.19  2000/02/07 18:18:46  baggins
- gzip man page

Revision 1.18  1999/12/05 10:07:46  kloczek
- release 3,
- new %description and Summary.

Revision 1.17  1999/09/29 16:55:47  kloczek
- updated to 2.0.

Revision 1.16  1999/07/15 23:15:09  pius
- cosmetic changes.

Revision 1.15  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Artur Frysiak <wiget@pld.org.pl>
  [1.7-2]
- rebuild in new evn.
- based on RH spec
- pl translation by Wojtek lusarczyk <wojtek@shadow.eu.org>
- start at RH spec file.
